GitHub Updater cannot run on PHP versions older than 5.6.0. Learn about upgrading your PHP.

Contact

Contact

My name is Ben and I have one son and two daughters. I spend most of my free time outside hiking and hunting. Contact me if you have any ideas or questions about my blog.